Mark invoice as paid
curl --request POST \
--url https://api.contazen.ro/v1/invoices/{id}/pay \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 123,
"payment_date": "2023-12-25",
"payment_method": "<string>",
"observations": "<string>"
}
'import requests
url = "https://api.contazen.ro/v1/invoices/{id}/pay"
payload = {
"amount": 123,
"payment_date": "2023-12-25",
"payment_method": "<string>",
"observations": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 123,
payment_date: '2023-12-25',
payment_method: '<string>',
observations: '<string>'
})
};
fetch('https://api.contazen.ro/v1/invoices/{id}/pay', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"is_paid": true,
"total_amount": 123,
"total_paid": 123,
"remaining": 123
},
"meta": {
"version": "v1",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"response_time": "23.45ms"
}
}{
"success": false,
"error": {
"message": "<string>",
"code": "<string>",
"param": "<string>",
"doc_url": "<string>"
},
"meta": {
"version": "v1",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"response_time": "23.45ms"
}
}{
"success": false,
"error": {
"message": "<string>",
"code": "<string>",
"param": "<string>",
"doc_url": "<string>"
},
"meta": {
"version": "v1",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"response_time": "23.45ms"
}
}{
"success": false,
"error": {
"message": "<string>",
"code": "<string>",
"param": "<string>",
"doc_url": "<string>"
},
"meta": {
"version": "v1",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"response_time": "23.45ms"
}
}Invoices
Mark Invoice Paid
Record a payment for an invoice
POST
/
invoices
/
{id}
/
pay
Mark invoice as paid
Authorizations
Use your API key (sk_live_xxx or sk_test_xxx)
Path Parameters
Invoice CzUid
Body
application/json
Was this page helpful?
⌘I